%global debug_package %{nil}

Summary:        Guide and compatibility macros for porting extensions to Python 3
Name:           py3c
Version:        1.4
Release:        6%{?dist}
License:        MIT and CC-BY-SA
URL:            http://py3c.readthedocs.io/
Source0:        https://github.com/encukou/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  gcc make
BuildRequires:  python3-devel python3-setuptools

%description
py3c helps to port C extensions to Python 3.
It provides a detailed guide, and a set of macros to make porting easy
and reduce boilerplate.


%package        devel
Summary:        Header files for py3c
License:        MIT
Requires:       python3-devel
Provides:       %{name}-static = %{version}-%{release}

%description devel
%{name}-devel is only required for building software that uses py3c.
Because py3c is a header-only library, there is no matching run-time package.


%prep
%autosetup


%build
make %{?_smp_mflags} py3c.pc includedir=%{_includedir}


%install
make install prefix=%{buildroot}%{_prefix} includedir=%{buildroot}%{_includedir}
sed --in-place -e's!%{buildroot}!!' %{buildroot}%{_datadir}/pkgconfig/py3c.pc


%check
export CFLAGS="%{optflags}"
make %{?_smp_mflags} test-python3


%files devel
%license LICENSE.MIT
%doc README.rst
%{_includedir}/py3c.h
%{_includedir}/py3c/
%{_datadir}/pkgconfig/py3c.pc


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 17 2023 rockerzhu <rockerzhu@tencent.com> - 1.4-1
- Initial build
